#include "scene.h"

#include "V3.h"
#include "M33.h"

Scene *scene;

using namespace std;

#include <iostream>
#include <fstream>

Scene::Scene() {

	gui = new GUI();
	gui->show();

	int u0 = 16;
	int v0 = 40;
	int h = 480;
	int w = 640;
	fb = new FrameBuffer(u0, v0, w, h);
	fb->position(u0, v0);
	fb->label("SW framebuffer");
	fb->show();
	fb->SetBGR(0xFF0000FF);
	fb->redraw();

	gui->uiw->position(u0+w+u0, v0);

}

void Scene::DBG() {
	cerr << "INFO: pressed DBG button on GUI" << endl;

	{
		V3 v0(1.0f, 2.0f, 3.0f);
		V3 v1(-1.0f, -2.0f, -3.0f);
		V3 v01 = v0 + v1;
		cerr << "v0 + v1: " << v01[0] << " " << v01[1] << " " << v01[2] << endl;
		return;
	}

	return;

	unsigned int col0 = 0xFF000000;
	unsigned int col1 = 0xFFFFFFFF;
	int csize = 100;
	fb->SetChecker(col0, col1, csize);
	fb->redraw();
}

void Scene::NewButton() {
	cerr << "INFO: pressed New button on GUI" << endl;
}

